<?php
namespace PortalPeopleStatis\modules\SatisfyManager\forms;

use Yiisoft\FormModel\FormModel;
use Yiisoft\Validator\Rule\Required;
use Yiisoft\Validator\Rule\Url;

class RepositoryForm extends FormModel
{
    /**
     * @var string
     * @Required()
     */
    private string $name = '';

    /**
     * @var string
     * @Required()
     */
    private string $type = 'git';

    /**
     * @var string
     * @Required()
     * @Url()
     */
    private string $url = '';

    public function getName(): string
    {
        return $this->name;
    }
    public function setName(string $name): void
    {
        $this->name = $name;
    }
    public function getType(): string
    {
        return $this->type;
    }
    public function setType(string $type): void
    {
        $this->type = $type;
    }
    public function getUrl(): string
    {
        return $this->url;
    }
    public function setUrl(string $url): void
    {
        $this->url = $url;
    }
}
